Subject: Re: bug#27976: install 32b xfce no gnome: collision hicolor/icon-theme.cache

From: [email-masked] (Ludovic Courtès)
Date: Mon, 21 Aug 2017 17:40:12 +0200

Paul Dufresne <[email-masked]> skribis:

> After having problem with adwaita-icon-them-3.24.0, (reported in other bug)
>  I decided to give a try by removing gnome service from the
> list of "meta-package" to install.
>
> So in fact keeping 'only' XFCE.
>
> I tried two times, once after the adwaita problem, the other after a reboot
> and from scratch (except partitioning).
>
> The result was the same (from poorly taken notes):
> ...
> warning: collision encountered:
> /gnu/store/7qnfb279...hicolor/icon-theme.cache
> ...
> warning: arbitrarily choosing 7qnfb...icons/hicolor/icons-theme.cache

This is a harmless warning.

> Backtrace:
> In Ice-0/boot-9.scm
> ...
> In unknown file
>    gtk-in-modules-builder

This looks like the real error, but unfortunately we don’t have enough
details here to see what the failure was.  It would have been helpful to
see the whole backtrace or the actual “ERROR” line, along with the line
that says precisely which derivation failed (though I understand it’s
hard to grab that info while you’re installing.)

Thanks,
Ludo’.